class LawAccordingReg:
    @staticmethod
    def getCommonLawAccordingReg():
        reg = "《[^》]*?》[^《》]{0,40}第[^条]{1,10}条[^第]{0,5}第[^款]{1,10}款[^第]{0,5}第[^项]{1,10}项" \
              "|《[^》]*?》[^《》]{0,40}第[^条]{1,10}条[^第]{0,5}第[^款]{1,10}款" \
              "|《[^》]*?》[^《》]{0,40}第[^条]{1,10}条[^第]{0,5}第[^项]{1,10}项" \
              "|《[^》]*?》[^《》]{0,40}第[^条]{1,10}条" \
              "|《[^》]*?》"

        return reg

    pass


class AdminPenaltyDateReg:
    @staticmethod
    def getCommonAdminPenaltyDateReg():
        reg = "(?<=\s+)\S{4}年\S{1,3}月\S{1,3}日(?=\s+|$)" \
              "|(?<=\s+)\S{4}\s{0,2}年\s{0,2}\S{1,3}\s{0,2}月\s{0,2}\S{1,3}\s{0,2}日(?=\s+|$)"
        return reg


class AdminPenaltyDeptReg:
    @staticmethod
    def getCommonDeptReg():
        reg = "(?<=\s+|^)[\u4e00-\u9fa5 ]{3,20}[局会部行署室队厅](?=(（印章） )?\s+|，|$|\d{4}|(&nbsp;){1,})" \
              "|(?<=^|\s+)[\u4e00-\u9fa5 ]{3,20}[局会部行署室队厅](?=\s*行政处罚决定书)" \
              "|(?<=可以在六十日内依法向)[\u4e00-\u9fa5 ]{3,20}[局会部行署室队厅](?=申请行政复议)"
        return reg


class AdminPenaltyNumberReg:
    @staticmethod
    def getCommonNumberReg():
        reg = "(?<=\s+|^)[\u4e00-\u9fa5]+[\(（]?[\u4e00-\u9fa5]*[\)）]?[\u4e00-\u9fa5]*\s*[\〔\[\（\［\(【]{0,3}\s?\d+\s{0,3}[\〕\]\）\］\)】]\s*第?\d+(-\d+)?\s*号?(?=[\s\r\t]+)" \
              "|(?<=\s+|^)[\u4e00-\u9fa5]+\s*\d+[\〔\[\（\［\(【]{0,3}\d+\s{0,3}[\〕\]\）\］\)】]号?(?=\s+)" \
              "|(?<=\s+|^)[\u4e00-\u9fa5]+[\(（]?[\u4e00-\u9fa5]*[\)）]?[\u4e00-\u9fa5]*\s*[\〔\[\（\［\(【]{0,3}\s?\d+\s{0,4}[\〕\]\）\］\)】]\s*\w*\d+(-\d+)?\s*号?(?=[\s\r\t]+)" \
              "|(?<=[\〔\[\（\［\(【])[\u4e00-\u9fa5]+\s*[\〔\[\（\［\(【]\s{0,3}\d+\s{0,3}[\〕\]\）\］\)】]\s*\d+(-\d+)?\s*号(?=[\〕\]\）\］\)】]?[\s\n\r\t]+)" \
              "|(?<=[\〔\[\（\［\(【])[\u4e00-\u9fa5]+\s*\d+[\〔\[\（\［\(【]\s{0,3}\d+\s{0,3}[\〕\]\）\］\)】]号(?=[\〕\]\）\］\)】])" \
              "|(?<=(\s+|--|——))[\u4e00-\u9fa5]+\s*[\〔\[\（\［\(【]\s{0,3}\d+\s{0,3}[\〕\]\）\］\)】]\s*\d+(-\d+)?\s*号" \
              "|(?<=(\s+|--|——))[\u4e00-\u9fa5]+\s*\d+[\〔\[\（\［\(【]\s{0,3}\d+\s{0,3}[\〕\]\）\］\)】]号" \
              "|(?<=[\〔\[\（\［\(【])\d+年\d+(-\d+)?\s*号(?=[\〕\]\）\］\)】])" \
              "|(?<=[\（|\(])[\u4e00-\u9fa5]+[\【|\〔]\d{4}[\】|\〕]\d{1,3}[\u4e00-\u9fa5](?=[\）|)][\t\r\n]+)" \
              "|(?<=[\s]+)[\u4e00-\u9fa5]+[（][\d]{4}[）][\u4e00-\u9fa5]+[\d]{1,3}号(?=[\s]+)"
        return reg
class AdminPenaltyPunishedPartiesReg:
    @staticmethod
    def getCommonPunishedPartiesReg():
        reg = "(?<=当事人企业名称[:：])\s*.{2,20}(?=[，；;\s\r\n])" \
              "|(?<=^|\s+)[\u4e00-\u9fa5 ]{3,20}[局会部行署室队厅](?=\s*行政处罚决定书)" \
              "|(?<=可以在六十日内依法向)[\u4e00-\u9fa5 ]{3,20}[局会部行署室队厅](?=申请行政复议)"
        return reg

class AdminPenaltyPunishedPeopleReg:
    @staticmethod
    def getCommonPunishedPeopleReg():
        reg = "(?<=当事人(姓名)*?[:：])[^司部店]{2,10}(?=[，,；;\r\n\s])" \
              "|(?<=(法定代表人|法人代表)(（负责人）)*?[:：])[^司部店]{2,10}(?=[，,；;\r\n\s])" \
              "|(?<=负责人(\))*?[:：])[^司部店]{2,10}(?=[，,；;\r\n\s])" \
              "|(?<=当事人)[^:：司部店]{2,4}(?=[\s，,；;\r\n])"
        return reg
class AdminPenaltyPunishedMeasuresReg:
    @staticmethod
    def getCommonPunishedMeasuresReg():
        reg = "(?<=([\s\r\n]+[\s\S]+[\，][\u4e00-\u9fa5]+决定(给予你|对你公司作出)?|我局对你))[\s\S]+?(?=的(行政)*处罚。|[\s\r\n]+请在接到本处罚决定书)" \
              "|(?<=如下(行政)?处罚：[\s\r\n]*)[^\s][\s\S]+?(?=[\s\r\n]*(当事人|限于))" \
              "|(?<=依据[^\s，]+，我局决定责令)[\s\S]+(?=[\s\r\n]+如不服本处罚决定)" \
              "|(?<=(((如|以)下(行政处罚|处罚|处理)|处罚如下|我委认为)：[\s\r\n]+)|，决定|决定如下：|我委)[^\s][\s\S]+?(?=([\s\r\n]+(三、|[\u4e00-\u9fa5]*(如不服本处罚决定|如对上述(行政处罚)*决定不服|专此通知。|。如不服本决定|(的处罚。)|如果对上述决定不服))))" \
              "|(?<=依据[^\s，]+，我局决定责令|本局决定：)[\s\S]+(?=如不服本处罚决定)" \
              "(?<=依据[^\s，]+，我局拟对你(单位|公司)?作出以下处理：)[\s\S]+?(?=[\r\t\n\s]+)" \
              "|(?<=依据[^\s，]+，我局决定对你单位)[\s\S]+?(?=[\r\t\n\s]+)" \
              "|(?<=(根据|依据)[^\s，]+，责令你(单位|公司))[\s\S]+?(?=我局将)" \
              "|(?<=(决定|处[\r\n]*?罚)如下[：:]).*?(?=当事人[\s\S]{0,30}(应当自|自)*?收到本(行政|行政处罚|处罚)*?决定[书]*)" \
              "|(?<=(决定|处罚)如下[：:]).*?(?=(当事人)*?如不服本(处罚)*?决定[书]*)" \
              "|(?<=如下(行政处罚|处罚)[：:]).*?(?=当事人[\s\S]{0,30}(应当自|自)*?收到本(行政|行政处罚|处罚)*?决定[书]*)"
        return reg